import { Component} from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent,  IonButton, IonIcon,  IonCard, IonCardHeader, IonCardTitle, IonCardSubtitle, IonCardContent} from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { Router } from '@angular/router';



@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,  IonButton, IonIcon, IonCard, IonCardHeader, IonCardTitle, IonCardSubtitle, IonCardContent],
})
export class Tab1Page {
 
  constructor(private router: Router) {}

  goDailyPage(){
    this.router.navigate(['tabs/daily']);
  }
  goCompanionPage(){
    this.router.navigate(['tabs/companion'])
  }
  navigateTo(page:string){
    this.router.navigate(['/tabs/${page}']);
  }
}
